Loading...
Searching...
No Matches
sip_allow_s Struct Reference
Sip_allow

Structure for Allow header field. More...

`#include <sip.h>`

Collaboration diagram for sip_allow_s:
[legend]

## Data Fields

msg_common_t | k_common [1]
| Common fragment info.
msg_list_t * | k_next
| Link to next.
msg_param_t * | k_items
| List of allowed items.
uint32_t | k_bitmap
| Bitmap of allowed methods.

## Detailed Description

Structure for Allow header field.

Since
  New in 1.12.5. (Before used struct msg_list_s with Allow).

## Field Documentation

## k_bitmap

uint32_t k_bitmap

Bitmap of allowed methods.

Since
  New in 1.12.5.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.